<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <%= content_tag 'title',  "#{@page_title1}: #{@page_title2}"  %>

    <%= stylesheet_link_tag "alevchuk", :media => "screen" %>
    <%= stylesheet_link_tag "rails", :media => "screen" %>
    <%= stylesheet_link_tag "admin", :media => "screen" %>

    <%= javascript_include_tag "application" %>
    <%= javascript_include_tag "prototype" %>
    <%= javascript_include_tag "effects" %>	
</head>
<body>
<div id="page">
  <div id="content">	
    <div id="header">
      <h1><%= @page_title1 || "Mwamko" %></h1>
      <h2><%= @page_title2 || "You&rsquo;re riding the Rails!" %></h2>
    </div>

    <div id="navigation">
    <ul>
      <li><%= link_to 'About Mwamko', 
                      :controller => 'homepage', 
	              :action => 'home' %></li>

      <li id="space_before"><%= link_to 'My Virtual Environment',
                    :controller=>'cytoskeleton', 
                    :action=>'areas'%></li>

    </ul>

    <ul>
      <li>
        <div id="logout_box">
          <%= link_to "Logout", {:controller=>'login', :action=>'logout'} %>
          (logged in as 
           <%= content_tag('i', User.find(session[:user_id]).name) %>
          )
          
        </div>
      </li>
      
      <li>
        <%= link_to 'Change Password', 
                      :controller => 'login', 
	              :action => 'get_new_password' %>
      </li>
    </ul>
    </div>         


    <div id="after_navigation"></div>

    <div id="notices">      	
      <% all = (flash[:notices]||[]) + (@notices||[])%>
      <% all.each do |notice| %>
      <div id="notice"><%= notice %></div>
      <% end -%>           
    </div>

    <%= yield %>
 
  </div>

  <%= footer_line %>

</body>
</html>
